org.apache.ignite.internal.processors.continuous

## Class StartRoutineAckDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage
  - - org.apache.ignite.internal.processors.continuous.StartRoutineAckDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class StartRoutineAckDiscoveryMessage
    extends AbstractContinuousMessage

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`routineId`

### Constructor Summary

Constructors
Constructor and Description
`StartRoutineAckDiscoveryMessage(UUID routineId, Map<UUID,IgniteCheckedException> errs, Map<Integer,T2<Long,Long>> cntrs, Map<UUID,Map<Integer,T2<Long,Long>>> cntrsPerNode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`@Nullable DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`Map<UUID,IgniteCheckedException>` `errs()`
`String` `toString()`
`Map<Integer,T2<Long,Long>>` `updateCounters()`
`Map<UUID,Map<Integer,T2<Long,Long>>>` `updateCountersPerNode()`

### Methods inherited from class org.apache.ignite.internal.processors.continuous.AbstractContinuousMessage

`createDiscoCache, id, isMutable, routineId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StartRoutineAckDiscoveryMessage

    public StartRoutineAckDiscoveryMessage(UUID routineId,
                                           Map<UUID,IgniteCheckedException> errs,
                                           Map<Integer,T2<Long,Long>> cntrs,
                                           Map<UUID,Map<Integer,T2<Long,Long>>> cntrsPerNode)

Parameters:
  `routineId` - Routine id.
  `errs` - Errs.
  `cntrs` - Partition counters.
  `cntrsPerNode` - Partition counters per node.

### Method Detail

#### ackMessage

    @Nullable
    public @Nullable DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Returns:
  Ack message or `null` if ack is not required.

#### updateCounters

    public Map<Integer,T2<Long,Long>> updateCounters()

Returns:
  Update counters for partitions.

#### updateCountersPerNode

    public Map<UUID,Map<Integer,T2<Long,Long>>> updateCountersPerNode()

Returns:
  Update counters for partitions per each node.

#### errs

    public Map<UUID,IgniteCheckedException> errs()

Returns:
  Errs.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022